using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

[assembly:Miroslaw.APCF.Iface.DfltFactory (typeof (Miroslaw.APCF.PF.Editor1))]
namespace Miroslaw.APCF.PF
{
    partial class Editor1 : UserControl, Iface.IProductEditor
    {
        private Binding _bndArg;

        public Editor1()
        {
            InitializeComponent();
            Text = "XXX";
        }

        #region IProductEditor Member

        Guid Iface.IProductEditor.Guid
        {
            get { return Product1.GUID; }
        }

        void Iface.IProductEditor.Edit(Iface.Product product)
        {
            _grp.Enabled = product != null;
            if (_bndArg != null)
                _nudArg.DataBindings.Remove(_bndArg);
            _bndArg = null;
            if (product != null)
            {
                _bndArg = new Binding("Value", product, "Arg", true, DataSourceUpdateMode.OnPropertyChanged);
                _nudArg.DataBindings.Add(_bndArg);
            }
        }

        string Iface.IProductEditor.Name
        {
            get { return Product1.CLASS; }
        }

        Iface.Product Iface.IProductEditor.Create()
        {
            return new Product1 ();
        }

        #endregion

        public override string ToString()
        {
            return Product1.CLASS;
        }
    }
}
