using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Miroslaw.APCF.PF
{
    public partial class NullEditor : UserControl, Iface.IProductEditor
    {
        public NullEditor()
        {
            InitializeComponent();
        }

        #region IProductEditor Member

        Guid Iface.IProductEditor.Guid
        {
            get { return Guid.Empty; }
        }

        void Iface.IProductEditor.Edit(Iface.Product product)
        {
        }

        string Iface.IProductEditor.Name
        {
            get { return string.Empty; }
        }

        Iface.Product Iface.IProductEditor.Create()
        {
            throw new Exception("The method or operation is not implemented.");
        }

        #endregion
    }
}
